head {
    margin: 0;
}



html,
body {
    margin: 0;
    padding: 0;
    display: flex;
    overflow-x: hidden;
    scrollbar-width: none;
    -ms-overflow-style: none;
    min-height: 100vh;
    flex-direction: column;
    font-family: "Open Sans", sans-serif;
    font-style: normal;
    font-stretch: normal;
    background-color: #fff;
    color: #333;

}

main {
    flex: 1;
    font-family: "Open Sans", sans-serif;
    font-style: normal;
    font-stretch: normal;
}

h1,
h2,
h3 {
    font-family: "Roboto Slab", serif;
}

.content-wrapper {
    min-width: 320px;
    margin: 0 auto;
    width: 100%;
    flex: 1;

}

.menu {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
}

.header-container {
    min-width: 350px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px;
    flex-wrap: wrap;
}

.header-container img {
    max-height: 100px;
    object-fit: contain;
}

.menus,
.languages {
    position: relative;
    align-items: center;
    justify-content: center;
    display: inline-block;
    vertical-align: middle;
    height: 62px;
    width: 130px;

}

.menus.active .menus-content,
.languages.active .languages-content {
    display: block;
}

.dynamic-button {

    position: relative;
    display: inline-block;
    min-width: 90px;
    border: 1px solid #afafaf;
    padding: 8px 10px;
    text-decoration: none;
    color: white;
    margin-top: 10px;
    margin-bottom: 10px;
    text-align: center;
    transition: color .2s, background-color .2s;
    background-color: white;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
    font-size: 16px;
    font-family: "Open Sans";
    cursor: pointer;
    border-radius: 8px;


}

.dynamic-button-w {
    width: 97%;
}


.dynamic-button:hover .dynamic-button-content span,
.dynamic-button:hover .dynamic-button-content div {
    color: white;
}


.button-link {
    width: 100%;
    height: 100%;
    text-decoration: none;
    display: flex;
    align-items: center;
    color: white;
    padding: 0px 14px;
    font-size: 16px;
    font-family: "Open Sans";
}


.menus-content,
.languages-content {
    display: none;
    position: absolute;
    background-color: white;
    width: 100%;
    min-width: 80px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 5;
    font-size: 16px;
    font-family: "Open Sans";
    top: 100%;
}

.dynamic-button-content {
    justify-content: center;
    display: flex;
    align-items: center;
    color: white;
    padding: 8px 14px;
    text-decoration: none;
    font-size: 16px;
    font-family: "Open Sans";

}

.dynamic-button span {
    color: black;

}

.dynamic-button:hover span {
    color: rgb(255, 255, 255);
}


.menus-content a {
    display: flex;
    align-items: center;
    color: black;
    padding: 8px 14px;
    text-decoration: none;
    font-size: 16px;
    font-family: "Open Sans";
    cursor: pointer;
    height: 30px;
    /*z-index: 5;*/
}

.languages-content div {
    display: block;
    align-items: center;
    color: black;
    padding: 8px 14px;
    text-decoration: none;
    font-size: 16px;
    font-family: "Open Sans";
    cursor: pointer;
    height: 30px;
}


.dynamic-button-content a {
    display: block;
    align-items: center;
    color: black;
    text-decoration: none;
    font-size: 16px;
    font-family: "Open Sans";
    cursor: pointer;
}

.menus-content a:hover,
.languages-content div:hover {
    color: white;
    background-color: #ac0e39;
}


.dynamic-button div {
    color: black;
}

.dynamic-button::before {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    background-color: #ac0e39;
    z-index: -1;
    left: 100%;
    width: 0%;
    transition: .2s;
    border-radius: 8px;
}

.dynamic-button:hover::before {
    left: 0%;
    width: 100%;
    transition: width .2s;
}

.dynamic-button:hover .button-link {
    color: white;
}

.dynamic-select {
    background-color: white;
    color: black;
    border: 1px solid #afafaf;
    padding: 8px 10px;
    font-size: 16px;
    font-family: "Open Sans", sans-serif;
    border-radius: 8px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    cursor: pointer;
    transition: background-color 0.2s, color 0.2s;
    width: 100%;
    position: relative;
    z-index: 1;
}

.dynamic-select::after {
    content: "";
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid currentColor;
    pointer-events: none;
}

.dynamic-select:hover {
    background-color: #ac0e39;
    color: white;
}

.dynamic-select:focus {
    outline: none;
    border: 1px solid #afafaf;
    box-shadow: 0 0 1px #ffffff;
}

.dynamic-select option {
    color: black;
    background-color: white;
}

#es_rol,
#en_rol {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    color: fieldText;
}

.menus:hover .menus-content,
.languages:hover .languages-content {
    display: block;
}

.dynamic-button:hover .dynamic-button-content a {
    display: block;
    color: white;
}

.dynamic-button:focus,
.dynamic-button:active {
    outline: none;
    border: 1px solid #afafaf;
    box-shadow: 0 0 1px rgb(255, 255, 255);
    color: white;
    background-color: #ffffff;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);

}

.menus:hover .dropbtn,
.languages:hover .dropbtn {
    background-color: #ddd;
}

.icon-language {
    width: 30px;
    height: 30px;
    margin-right: 8px;
    background: rgba(0, 0, 0, 0) url('../Images/Languages/lang.png') no-repeat center center;
    background-size: contain;
    display: block;
}

.language-icon {
    margin-right: 8px;
    text-align: center;
}

.dropbtn-menus,
.dropbtn-language {
    display: flex;
    align-items: center;
    background-color: white;
    border: none;
    cursor: pointer;
    min-width: 80px;
    font-size: 16px;
    padding: 16px 14px;
    font-family: "Open Sans";
    width: 100%;
    height: 100%;
}



.dropbtn-menus:focus,
.dropbtn-language:focus {
    outline: none;
    border: 0px solid #ffffff00;
    box-shadow: 0 0 1px rgba(255, 255, 255, 0);
    color: #ac0e39;
}


.dropbtn-menus:hover,
.dropbtn-language:hover {
    color: white;
    background-color: #ac0e39;

}


.dropbtn-menus::before,
.dropbtn-languages::before {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    background-color: #ac0e39;
    z-index: -1;
    left: 100%;
    width: 0%;
}

.dropbtn-menus:hover::before,
.dropbtn-language:hover::before {
    left: 0%;
    width: 100%;
}

.account-section {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;

    padding: 10px;
    position: static;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    width: fit-content;
    height: fit-content;
}


.create-count,
.login-count {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    width: 100%;
    max-width: 500px;
    padding: 10px;
    margin: 20px;
    text-align: center;

}

.create-count .dynamic-button,
.login-count .dynamic-button {
    margin-top: auto;
}

.create-count img,
.login-count img {
    width: 100%;
    max-width: 150px;
    aspect-ratio: 1/1;
}

.text-content {
    max-width: 300px;
    font-family: "Open Sans";
    text-align: center;
}

footer {
    min-width: 100%;
    background-color: #f0f0f0;
    padding: 35px;
    text-align: center;
    font-family: "Open Sans";
    font-size: 0.875rem;
    box-sizing: border-box;
    margin-top: 50px;
}

footer a {

    align-items: center;
    color: black;
    padding: 8px 10px;
    text-decoration: none;
    font-size: 0.875rem;
    font-family: "Open Sans";
    cursor: pointer;
}

button[type="submit"] {
    width: 101.5%;
    background-color: white;
    color: black;
    border: 1px solid #afafaf;
    border-radius: 8px;
    font-size: 16px;
    cursor: pointer;
    text-align: center;
    transition: color .2s, background-color .2s;
    font-family: "Open Sans";
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
}

button[type="submit"]:hover {
    color: white;
}

.button-content[type="submit"] {
    display: flex;
    align-items: center;
    color: black;
    padding: 8px 14px;
    text-decoration: none;
    font-size: 16px;
    font-family: "Open Sans";
    cursor: pointer;
}


.hidden {
    display: none !important;
}

.visible {
    display: flex !important;
}

.center-text {
    text-align: center;
}


.container {
    margin-top: 0px;
    color: black;
    font-family: "Open Sans";
    justify-content: center;
    display: grid;
    gap: 5px;
    text-align: left;

}

.error-page {
    display: flex;
    justify-content: space-around;
    align-items: center;
    height: 50vh;
    flex-direction: column;
    color: #ac0e39;
    font-family: "Roboto Slab", serif;
    font-weight: bold;
    text-align: center;
    background-image: url('../Images/Others/logo\ 3\ protodidactic.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.error-title {
    margin-top: 40px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    font-size: 4rem;
    font-family: "Roboto Slab", serif;
    font-weight: bold;
    margin-bottom: 20px;
    color: #ac0e39;
}

.error-nav {
    margin-top: 250px;
}


.error-p {
    font-size: 1.5rem;
    margin-top: 50px;
    color: black;
    margin-bottom: 20px;
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.recaptcha-wrapper {
    display: flex;
    justify-content: center;
    width: 100%;
    margin: 1em 0;
}

.g-recaptcha {
    margin: 0 auto !important;
}

.forgot-pass {
    margin-top: 10px;
    text-align: right;
}

.forgot-pass a {
    font-size: 0.9em;
    text-decoration: none;
    color: #007BFF;
}

.forgot-pass a:hover {
    text-decoration: underline;
}

@media only screen and (max-width: 359px) {
    body {
        width: 320px;
        max-width: 359px;
    }

    .menu {
        max-width: 320px;
    }

    .languages {
        width: 50px;
        height: 100%;
    }

    .dropbtn-language,
    .languages-content,
    .dropbtn-menus {
        width: 100px;

    }

    button[type="submit"] {
        width: 100%;
    }

    .menus {
        width: 80px;
        height: 100%;
    }

    .header-container {
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 100px;
    }
}

@media only screen and (min-width: 360px) and (max-width: 399px) {

    .header-container {
        display: flex;
        min-width: 90%;
        justify-content: space-between;
        align-items: center;
        flex-wrap: nowrap;
    }

    .languages {
        width: 100px;
        height: 100%;
    }

    .menus {
        width: 80px;
        height: 62px;
    }

    .menus-content div,
    .languages-content div {
        font-size: 90%;
    }


    .dropbtn-menus,
    .menus-content {
        width: 80px;
    }

    .menus-content a {
        font-size: 12px;
        text-align: center;
        padding: 8px 2px;
        justify-content: center;
    }


    button[type="submit"] {
        width: 100%;
    }

    body,
    header,
    span,
    label,
    .menus-content a,
    .languages-content span {
        font-size: 100%;
    }

    input[type="text"],
    input[type="email"],
    textarea {
        font-size: 90%;
        padding: 10px;
    }

    ::placeholder {
        font-size: 80%;
    }

    .form-container {
        justify-content: center;
    }

    .account-section {
        padding: 0;
    }

    .create-count,
    .login-count {
        flex-direction: column;
        align-items: center;
        justify-content: center;
        padding: 10px 0;
        margin: 10px 0;
    }

    .create-count img,
    .login-count img {
        margin: 20px 0px 15px 0px;
        max-width: 100px;
    }

    .create-count .dynamic-button,
    .login-count .dynamic-button {
        margin: 10px auto 0;
    }

    .text-content {
        text-align: center;
        /*max-width: 100%;*/
        padding: 0 10px;
    }

    .error-title {
        font-size: 2.5rem;
    }

    .error-p {
        font-size: 1.2rem;
    }
}


@media only screen and (min-width: 400px) and (max-width: 579px) {

    .content-wrapper,
    .header-container,
    .footer {
        min-width: 400px;
    }

    .menus {
        width: 90px;
    }

    .dropbtn-menus,
    .menus-content {
        width: 100%;
        min-width: 90px;
        white-space: wrap;
    }

    .menus:hover .menus-content {
        display: block;
        min-width: 150px;
    }

    .languages:hover .languages-content {
        min-width: 80px;
    }

    .menus:nth-child(2) .menus-content {
        min-width: 150px;
    }

    .content-wrapper,
    .header-container {
        min-width: 400px;
    }

    .languages,
    .languages-content {
        width: 110px;

    }


    .menus-content div,
    .languages-content div {
        font-size: 100%;
    }


    .menus-content .menus-configuration {
        padding-left: 5px;
        font-size: 1em;
        min-width: 100px;
    }

    .menus-content .menus-configuration {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    body,
    header,
    span,
    label,
    .languages-content span {
        font-size: 100%;
    }

    input[type="text"],
    input[type="email"],
    textarea {
        font-size: 90%;
        padding: 10px;
    }

    ::placeholder {
        font-size: 80%;
    }

    .form-container {
        justify-content: center;
    }

    .account-section {
        padding: 0;
    }

    .create-count,
    .login-count {
        flex-direction: column;
        align-items: center;
        justify-content: center;
        padding: 10px 0;
        margin: 10px 0;
    }

    .create-count img,
    .login-count img {
        margin: 20px 0px 15px 0px;
        max-width: 100px;
    }

    .create-count .dynamic-button,
    .login-count .dynamic-button {
        margin: 10px auto 0;
    }

    .text-content {
        text-align: center;
        max-width: 100%;
        padding: 0 10px;
    }


}

@media only screen and (min-width: 580px) and (max-width: 699px) {

    .content-wrapper,
    .header-container,
    .footer {
        min-width: 580px;
    }

    .menus {
        width: 130px;
    }

    .dropbtn-menus,
    .menus-content {
        width: 100%;
        min-width: 130px;
        white-space: nowrap;
    }

    .menus-content a {
        font-size: 100%;
    }

    .menus:hover .menus-content {
        display: block;
        min-width: 150px;
    }

    .languages:hover .languages-content {
        min-width: 80px;
    }

    body,
    header,
    span,
    label,
    .menus-content a,
    .languages-content span {
        font-size: 100%;
    }

    input[type="text"],
    input[type="email"],
    textarea {
        font-size: 100%;
        padding: 10px;
    }

    ::placeholder {
        font-size: 85%;
    }
}

@media only screen and (min-width: 700px) and (max-width: 999px) {

    .menus {
        width: 150px;
    }

    .dropbtn-menus,
    .menus-content {
        width: 100%;
        min-width: 150px;
        white-space: nowrap;
    }

    .menus-content a {
        font-size: 100%;

    }

    body,
    header,
    span,
    label,
    .languages-content span {
        font-size: 100%;
    }

    input[type="text"],
    input[type="email"],
    textarea {
        font-size: 100%;
        padding: 12px;
    }

    ::placeholder {
        font-size: 90%;
    }
}

@media only screen and (min-width: 1000px) and (max-width: 1399px) {

    .menus {
        width: 150px;
    }

    .dropbtn-menus,
    .menus-content {
        width: 100%;
        min-width: 150px;
        white-space: nowrap;
    }

    .menus-content a {
        font-size: 100%;

    }

    body,
    header,
    span,
    label,
    .languages-content span {
        font-size: 100%;
    }

    input[type="text"],
    input[type="email"],
    textarea {
        font-size: 100%;
    }

    ::placeholder {
        font-size: 95%;
    }
}

@media only screen and (min-width: 1400px) {
    .menus {
        width: 150px;
    }

    .dropbtn-menus,
    .menus-content {
        width: 100%;
        min-width: 150px;
        white-space: nowrap;
    }

    body,
    header,
    span,
    label,
    .languages-content span {
        font-size: 100%;
    }

    input[type="text"],
    input[type="email"],
    textarea {
        font-size: 100%;
    }


    ::placeholder {
        font-size: 95%;
    }
}